# Uses of Class
java.security.KeyPair

Packages that use KeyPair
Package
Description
java.security
Provides the classes and interfaces for the security framework.

- ## Uses of KeyPair in java.security

  Methods in java.security that return KeyPair
  Modifier and Type
  Method
  Description
  `KeyPair`
  KeyPairGenerator.`generateKeyPair()`
  Generates a key pair.
  `abstract KeyPair`
  KeyPairGeneratorSpi.`generateKeyPair()`
  Generates a key pair.
  `final KeyPair`
  KeyPairGenerator.`genKeyPair()`
  Generates a key pair.
  Methods in java.security with parameters of type KeyPair
  Modifier and Type
  Method
  Description
  `final void`
  Signer.`setKeyPair(KeyPair pair)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Sets the key pair (public key and private key) for this `Signer`.